Page MenuHomePhabricator

WMSE e-mail restructure
Open, Needs TriagePublic

Description

Dump of things left to do

  • T198457: Look over usage of @styrelse.wiklimedia.se mailing lists (was Change all e-mail lists so that recipients are @wikimedia.se addresses)
  • Add the remaining domains for which there are info@ addresses to GSuite
  • Handle board
    • Create accounts for board
    • Use this tool to request the pre-existing account for one of the board members be acquired by the organisational GSuite
    • Create group for board
  • Handle förtroendevalda
    • Send out info to "förtroendevalda" about what will happen
    • Create accounts for each for them
    • Create the corresponding group and add users (e.g. valberedning) -- T224992
  • T197864: Investigate collaborative inboxes and set one up for info[at]wikimedia.se
  • Remove redirects from Loopia that are now handled by GSuite
    • Staff
    • Board
    • Förtroendevalda
    • Functional addresses
    • Move "typo aliases" to GSuite (instructions)
  • Deprecate/remove the gsuite@ account after
    • Investigating how this affects signed contracts
    • Adding the real André as admin to the Google for Nonprofits account
  • Delete test redirects from Loopia (both have test in the name)
  • Delete test accounts from GSuite
  • Investigate if the GSuite->Loopia tunnel is sensitive to capitalisation

Event Timeline

Lokal_Profil updated the task description. (Show Details)May 25 2018, 3:27 PM
Lokal_Profil updated the task description. (Show Details)May 25 2018, 3:47 PM
Lokal_Profil added a comment.EditedMay 27 2018, 10:47 AM

The potential capitalisation issue:
I had at least one case of the following:
*An e-mail to andre.costa@ gets caught by GSuite and not passed on to Loopia.

  • An e-mail to Andre.Costa@ gets caught by GSuite but also passed on to Loopia.

In this case Loopia still had a match for that name (case insenaitive) but otherwise it would have sent a very confusing bounce.

In preparation of T195736, I changed webmail.wikimedia.se to point to login page for Gsuite mail. It was pointing to Loopia's webmail.

Are all lists used? The wikimania list, for instance, looks like it's a leftover from an old Wikimania trip.

  • Create accounts (and group) for board

Accounts have been created. No group yet, since I don't know how this will effect the current styrelse@wikimedia.se.

  • Use this tool to request the pre-existing account for one of the board members be acquired by the organisational GSuite

Request has been sent.

  • Check if the group "emails" are mailable from the outside. If so add a filter to make them bounce.

If you send an email to a group that you're not at member of, you get a mail like this:

Hello <email address that sent the email>,

We're writing to let you know that the group you tried to contact (test.group) may not exist, or you may not have permission to post messages to the group. A few more details on why you weren't able to post:

  • You might have spelled or formatted the group name incorrectly.
  • The owner of the group may have removed this group.
  • You may need to join the group before receiving permission to post.
  • This group may not be open to posting.

If you have questions related to this or any other Google Group, visit the Help Center at https://support.google.com/a/wikimedia.se/bin/topic.py?topic=25838.

Thanks,

wikimedia.se admins

The potential capitalisation issue:
I had at least one case of the following:
*An e-mail to andre.costa@ gets caught by GSuite and not passed on to Loopia.

  • An e-mail to Andre.Costa@ gets caught by GSuite but also passed on to Loopia.

In this case Loopia still had a match for that name (case insenaitive) but otherwise it would have sent a very confusing bounce.

Tested an email to Sebastian.Berlin@ (after deleting the Loopia redirect). Expecting it to be delivered but also to cause a bounce. @Sebastian_Berlin-WMSE can you confirm that it got delivered?

[...]

Tested an email to Sebastian.Berlin@ (after deleting the Loopia redirect). Expecting it to be delivered but also to cause a bounce. @Sebastian_Berlin-WMSE can you confirm that it got delivered?

We did this, right? I got the mail titled "Versaltest".

[...]

Tested an email to Sebastian.Berlin@ (after deleting the Loopia redirect). Expecting it to be delivered but also to cause a bounce. @Sebastian_Berlin-WMSE can you confirm that it got delivered?

We did this, right? I got the mail titled "Versaltest".

Thanks. I did not get a bounce so this might also have fixed the capitalisation issue.

I've removed all staff and board redirects from Loopia

Lokal_Profil updated the task description. (Show Details)Jun 19 2018, 7:44 AM
Lokal_Profil updated the task description. (Show Details)Jun 19 2018, 9:42 AM
Lokal_Profil updated the task description. (Show Details)Jun 20 2018, 7:31 AM

In preparation of T195736, I changed webmail.wikimedia.se to point to login page for Gsuite mail. It was pointing to Loopia's webmail.

I've now also updated webbmail.wikimedia.se which was still redirecting to Loopia

  • Remove redirects from Loopia that are now handled by GSuite

...

  • Functional adresses

I've removed the one for info@wikimedia since this (for now) exists as a user account and the redirect was sending some e-mails to otrs.

After this anything ending up at OTRS is using the raw wm-se[at]wikimedia.org address

  • Use this tool to request the pre-existing account for one of the board members be acquired by the organisational GSuite

A reminder was sent out to the affected member (to both private and public addresses). Note that this is the more convenient solution, as a backup we can simply add the member as a user which forces a renaming next time they log in.

  • Change all e-mail lists so that recipients are @wikimedia.se addresses
    • Wikimania
    • Wikimedia-nordic
    • Wlm-se
    • Wmse-all
    • Wmse-kontor
    • Wmse-styrelse

Broken out as T198457: Look over usage of @styrelse.wiklimedia.se mailing lists which is slightly broader. The "change e-mails to @wikimedia.se" part of that task has been resolved

Lokal_Profil updated the task description. (Show Details)Jun 29 2018, 8:36 AM
  • Add the remaining domains for which there are info@ addresses to GSuite

This is needed only if we want to reply from those info@ addresses. Otherwise a simple Loopia redirect to the @wikimedia.se info address should suffice.

  • Move "typo aliases" to GSuite (instructions)

Tested with Axel's typo address

  • Move "typo aliases" to GSuite (instructions)

Tested with Axel's typo address

This seems to work. =) Note the need to save both the setting then the changeset itself.

Axel is the only migrated person with a typo e-mail. The remaining ones are for group accounts or non-migrated accounts.

Lokal_Profil updated the task description. (Show Details)Jun 29 2018, 2:21 PM
CommunityTechBot renamed this task from 39baaaaaaa to WMSE e-mail restructure.Jul 2 2018, 3:46 PM
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
  • Use this tool to request the pre-existing account for one of the board members be acquired by the organisational GSuite

Done. Since the migration seems to have not worked we went the co-opting way instead.

  • Create group for board

The worry here is that creating a group with the name styrelse will capture the styrelse@ address which normally redirects to our mailman handled e-mail list. This could be solved by simply naming the group something like group-styrelse. In the long run we should consider switching those mailman lists into GSuite groups T198679: Investigate switching internal mailing list over to GSuite group

  • Delete test redirects from Loopia (both have test in the name)

Has this been done? I couldn't find any e-mail addresses that contains "test" in Loopia.

  • Delete test accounts from GSuite

Are these causing any harm? I think that they could be useful in the future too.

  • Delete test redirects from Loopia (both have test in the name)

Has this been done? I couldn't find any e-mail addresses that contains "test" in Loopia.

I did this but forgot to mark as fixed

  • Delete test accounts from GSuite

Are these causing any harm? I think that they could be useful in the future too.

Having random accounts/credentials floating around isn't ideal. Creating a new test account when needed doesn't require much extra work.

Lokal_Profil updated the task description. (Show Details)Aug 20 2018, 9:01 AM
Lokal_Profil updated the task description. (Show Details)Jun 4 2019, 11:02 AM
Lokal_Profil updated the task description. (Show Details)
  • Deprecate/remove the gsuite@ account after
    • Investigating how this affects signed contracts

Investigated this and deleting the account does not affect the signed contract. The account has been deleted

Lokal_Profil updated the task description. (Show Details)Jan 22 2020, 7:52 PM
  • Handle förtroendevalda
    • Send out info to "förtroendevalda" about what will happen
    • Create accounts for each for them
    • Create the corresponding group and add users (e.g. valberedning)

These are currently all in the recipient address map "Funktionsaddresser". Should be turned into a group which accepts e-mails from the outside but doesn't archive the messages (how to do this). Note that "Faddrar" should remain a recipient address map since we do not require these users to have @wikimedia.se accounts.

Lokal_Profil updated the task description. (Show Details)Jan 22 2020, 8:14 PM